> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hystruct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsubscribe webhook

> Unsubscribe an existing webhook



## OpenAPI

````yaml delete /v1/integrations/webhooks/unsubscribe
openapi: 3.0.0
info:
  title: Hystruct API
  version: 1.0.0
servers:
  - url: https://api.hystruct.com
security:
  - apiKey: []
externalDocs:
  url: https://docs.hystruct.com
  description: Documentation
paths:
  /v1/integrations/webhooks/unsubscribe:
    delete:
      summary: Unsubscribe webhook
      description: Unsubscribe an existing webhook
      parameters:
        - schema:
            type: string
          in: path
          name: webhookId
          required: true
          description: webhook id
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                description: Successful response
                type: object
                properties:
                  message:
                    type: string
        '400':
          description: Bad request - perhaps because there is already a job queued
          content:
            application/json:
              schema:
                description: Bad request - perhaps because there is already a job queued
                type: object
                properties:
                  error:
                    type: string
        '404':
          description: No workflow found
          content:
            application/json:
              schema:
                description: No workflow found
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````